Skip to main content
GET
/
deliver
/
cards
Get all cards
curl --request GET \
  --url https://api-sandbox.orum.io/deliver/cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Orum-Version: <orum-version>'
{
  "cards": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_reference_id": "<string>",
      "customer_reference_id": "<string>",
      "customer_resource_type": "business",
      "account_holder_name": {
        "first_name": "<string>",
        "last_name": "<string>",
        "middle_name": "<string>",
        "suffix": "<string>"
      },
      "status": "created",
      "address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "billing",
        "zip5": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country": "US"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last4": "<string>",
      "expiration_month": 6,
      "expiration_year": 2025,
      "pull_eligible": true,
      "push_eligible": true,
      "closed_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status_reasons": [
        {
          "reason_code": "invalid_address",
          "reason_code_message": "Address submitted is a non-supported address type"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.orum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Query Parameters

index
integer
default:0

Index for paginated results

Required range: x >= 0
size
integer
default:100

Max number of results to return

Required range: 0 <= x <= 500
customer_reference_id
string

Filter by customer reference id Unique reference id for the customer (business or person) resource. Generated by you.

Required string length: 1 - 255
status
enum<string>[]

Filter by card statuses (multiple allowed) Filter by status of card in Orum system.

Status of card in Orum system.

Available options:
created,
verified,
rejected,
closed

Response

200 response.

cards
object[]
required

List of card objects.